import 'package:flutter/material.dart';

const lightColorScheme = ColorScheme(
  brightness: Brightness.light,
  primary: Color(0xFFA7354E),
  onPrimary: Color(0xFFFFFFFF),
  primaryContainer: Color(0xFFFFD9DD),
  onPrimaryContainer: Color(0xFF400012),
  secondary: Color(0xFF76565A),
  onSecondary: Color(0xFFFFFFFF),
  secondaryContainer: Color(0xFFFFD9DD),
  onSecondaryContainer: Color(0xFF2C1518),
  tertiary: Color(0xFF785831),
  onTertiary: Color(0xFFFFFFFF),
  tertiaryContainer: Color(0xFFFFDDB8),
  onTertiaryContainer: Color(0xFF2B1700),
  error: Color(0xFFBA1A1A),
  errorContainer: Color(0xFFFFDAD6),
  onError: Color(0xFFFFFFFF),
  onErrorContainer: Color(0xFF410002),
  background: Color(0xFFFFFBFF),
  onBackground: Color(0xFF201A1B),
  surface: Color(0xFFFFFBFF),
  onSurface: Color(0xFF201A1B),
  surfaceVariant: Color(0xFFF4DDDF),
  onSurfaceVariant: Color(0xFF524344),
  outline: Color(0xFF847374),
  onInverseSurface: Color(0xFFFBEEEE),
  inverseSurface: Color(0xFF362F2F),
  inversePrimary: Color(0xFFFFB2BC),
  shadow: Color(0xFF000000),
  surfaceTint: Color(0xFFA7354E),
);

const darkColorScheme = ColorScheme(
  brightness: Brightness.dark,
  primary: Color(0xFFFFB2BC),
  onPrimary: Color(0xFF670023),
  primaryContainer: Color(0xFF871C37),
  onPrimaryContainer: Color(0xFFFFD9DD),
  secondary: Color(0xFFE5BDC1),
  onSecondary: Color(0xFF43292D),
  secondaryContainer: Color(0xFF5C3F43),
  onSecondaryContainer: Color(0xFFFFD9DD),
  tertiary: Color(0xFFEABF8F),
  onTertiary: Color(0xFF452B07),
  tertiaryContainer: Color(0xFF5E411C),
  onTertiaryContainer: Color(0xFFFFDDB8),
  error: Color(0xFFFFB4AB),
  errorContainer: Color(0xFF93000A),
  onError: Color(0xFF690005),
  onErrorContainer: Color(0xFFFFDAD6),
  background: Color(0xFF201A1B),
  onBackground: Color(0xFFECE0E0),
  surface: Color(0xFF201A1B),
  onSurface: Color(0xFFECE0E0),
  surfaceVariant: Color(0xFF524344),
  onSurfaceVariant: Color(0xFFD7C1C3),
  outline: Color(0xFF9F8C8E),
  onInverseSurface: Color(0xFF201A1B),
  inverseSurface: Color(0xFFECE0E0),
  inversePrimary: Color(0xFFA7354E),
  shadow: Color(0xFF000000),
  surfaceTint: Color(0xFFFFB2BC),
);
